Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members Related Pages

# vtkInteractorStyleSwitch Class Reference

`#include <vtkInteractorStyleSwitch.h>`

Inheritance diagram for vtkInteractorStyleSwitch:

[legend]
Collaboration diagram for vtkInteractorStyleSwitch:

[legend]
List of all members.

## Detailed Description

class to swap between interactory styles

Date:
  2002/05/01 04:56:53

Revision:
  1.18

The class vtkInteractorStyleSwitch allows handles interactively switching between four interactor styles -- joystick actor, joystick camera, trackball actor, and trackball camera. Type 'j' or 't' to select joystick or trackball, and type 'c' or 'a' to select camera or actor. The default interactor style is joystick camera.

See also:
  vtkInteractorStyleJoystickActor vtkInteractorStyleJoystickCamera vtkInteractorStyleTrackballActor vtkInteractorStyleTrackballCamera

Created by:
  - Henderson, Amy

CVS contributions (if > 5%):
  - Henderson, Amy (45%)
  - Hoffman, Bill (21%)
  - Barre, Sebastien (16%)

CVS logs (CVSweb):
  - .`cxx` (`/Rendering/vtkInteractorStyleSwitch.cxx)`
  - .`h` (`/Rendering/vtkInteractorStyleSwitch.h)`

Examples:
  vtkInteractorStyleSwitch (Examples)

Tests:
  vtkInteractorStyleSwitch (Tests)

Definition at line 66 of file vtkInteractorStyleSwitch.h.

## Public Types
typedef vtkInteractorStyle | Superclass
## Public Methods
virtual const char * | GetClassName ()
virtual int | IsA (const char *type)
void | PrintSelf (ostream &os, vtkIndent indent)
void | SetInteractor (vtkRenderWindowInteractor *iren)
void | SetAutoAdjustCameraClippingRange (int value)
virtual void | OnChar ()
virtual vtkInteractorStyle * | GetCurrentStyle ()
void | SetCurrentStyleToJoystickActor ()
void | SetCurrentStyleToJoystickCamera ()
void | SetCurrentStyleToTrackballActor ()
void | SetCurrentStyleToTrackballCamera ()
## Static Public Methods
vtkInteractorStyleSwitch * | New ()
int | IsTypeOf (const char *type)
vtkInteractorStyleSwitch * | SafeDownCast (vtkObject *o)
## Protected Methods
| vtkInteractorStyleSwitch ()
| ~vtkInteractorStyleSwitch ()
void | SetCurrentStyle ()
## Protected Attributes
vtkInteractorStyleJoystickActor * | JoystickActor
vtkInteractorStyleJoystickCamera * | JoystickCamera
vtkInteractorStyleTrackballActor * | TrackballActor
vtkInteractorStyleTrackballCamera * | TrackballCamera
vtkInteractorStyle * | CurrentStyle
int | JoystickOrTrackball
int | CameraOrActor

## Member Typedef Documentation

typedef vtkInteractorStyle vtkInteractorStyleSwitch::Superclass

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball. Definition at line 70 of file vtkInteractorStyleSwitch.h.

## Constructor & Destructor Documentation

vtkInteractorStyleSwitch::vtkInteractorStyleSwitch | ( |  | ) | `[protected]`

vtkInteractorStyleSwitch::~vtkInteractorStyleSwitch | ( |  | ) | `[protected]`

## Member Function Documentation

vtkInteractorStyleSwitch* vtkInteractorStyleSwitch::New | ( |  | ) | `[static]`

| This class must be supplied with a vtkRenderWindowInteractor wrapper or parent. This class should not normally be instantiated by application programmers. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

virtual const char* vtkInteractorStyleSwitch::GetClassName | ( |  | ) | `[virtual]`

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

int vtkInteractorStyleSwitch::IsTypeOf | ( | const char * | type | ) | `[static]`

| Return 1 if this class type is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

virtual int vtkInteractorStyleSwitch::IsA | ( | const char * | type | ) | `[virtual]`

| Return 1 if this class is the same type of (or a subclass of) the named class. Returns 0 otherwise. This method works in combination with vtkTypeRevisionMacro found in vtkSetGet.h. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

vtkInteractorStyleSwitch* vtkInteractorStyleSwitch::SafeDownCast | ( | vtkObject * | o | ) | `[static]`

| Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

void vtkInteractorStyleSwitch::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent
| ) | `[virtual]`

| Methods invoked by print to print information about the object including superclasses. Typically not called by the user (use Print() instead) but used in the hierarchical print process to combine the output of several classes. Reimplemented from vtkInteractorStyle. Reimplemented in vtkInteractorStyleTrackball.

void vtkInteractorStyleSwitch::SetInteractor | ( | vtkRenderWindowInteractor * | iren | ) | `[virtual]`

| The sub styles need the interactor too. Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleSwitch::SetAutoAdjustCameraClippingRange | ( | int | value | ) | `[virtual]`

| We must override this method in order to pass the setting down to the underlying styles Reimplemented from vtkInteractorStyle.

virtual vtkInteractorStyle* vtkInteractorStyleSwitch::GetCurrentStyle | ( |  | ) | `[virtual]`

| Set/Get current style

void vtkInteractorStyleSwitch::SetCurrentStyleToJoystickActor | ( |  | ) |

| Set/Get current style

void vtkInteractorStyleSwitch::SetCurrentStyleToJoystickCamera | ( |  | ) |

| Set/Get current style

void vtkInteractorStyleSwitch::SetCurrentStyleToTrackballActor | ( |  | ) |

| Set/Get current style

void vtkInteractorStyleSwitch::SetCurrentStyleToTrackballCamera | ( |  | ) |

| Set/Get current style

virtual void vtkInteractorStyleSwitch::OnChar | ( |  | ) | `[virtual]`

| Only care about the char event, which is used to switch between different styles. Reimplemented from vtkInteractorStyle.

void vtkInteractorStyleSwitch::SetCurrentStyle | ( |  | ) | `[protected]`

## Member Data Documentation

vtkInteractorStyleJoystickActor* vtkInteractorStyleSwitch::JoystickActor`[protected]`

| Definition at line 99 of file vtkInteractorStyleSwitch.h.

vtkInteractorStyleJoystickCamera* vtkInteractorStyleSwitch::JoystickCamera`[protected]`

| Definition at line 100 of file vtkInteractorStyleSwitch.h.

vtkInteractorStyleTrackballActor* vtkInteractorStyleSwitch::TrackballActor`[protected]`

| Definition at line 101 of file vtkInteractorStyleSwitch.h.

vtkInteractorStyleTrackballCamera* vtkInteractorStyleSwitch::TrackballCamera`[protected]`

| Definition at line 102 of file vtkInteractorStyleSwitch.h.

vtkInteractorStyle* vtkInteractorStyleSwitch::CurrentStyle`[protected]`

| Definition at line 103 of file vtkInteractorStyleSwitch.h.

int vtkInteractorStyleSwitch::JoystickOrTrackball`[protected]`

| Definition at line 105 of file vtkInteractorStyleSwitch.h.

int vtkInteractorStyleSwitch::CameraOrActor`[protected]`

| Definition at line 106 of file vtkInteractorStyleSwitch.h.

The documentation for this class was generated from the following file:

- Rendering/vtkInteractorStyleSwitch.h